Bug 1289044 - [abrt] remmina: ringbuffer_destroy(): remmina killed by SIGSEGV
[abrt] remmina: ringbuffer_destroy(): remmina killed by SIGSEGV
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3dc845bb4445c511edff24ebb12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 05:17 EST by Artur Flinta
Modified: 2016-01-05 16:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 16:15:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.36 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: core_backtrace (15.20 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: dso_list (13.02 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: environ (1.72 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: maps (63.31 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: mountinfo (3.50 KB, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: open_fds (885 bytes, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details
File: var_log_messages (291 bytes, text/plain)
2015-12-07 05:17 EST, Artur Flinta
no flags Details

  None (edit)
Description Artur Flinta 2015-12-07 05:17:19 EST
Description of problem:
Died when closing RDP session.

Version-Release number of selected component:
remmina-1.2.0-0.8.git.b3237e8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: ringbuffer_destroy
executable:     /usr/bin/remmina
global_pid:     19461
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 ringbuffer_destroy at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/utils/ringbuffer.c:51
 #4 tcp_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/tcp.c:960
 #5 transport_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/transport.c:1247
 #6 rdp_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/rdp.c:1437
 #7 freerdp_context_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/freerdp.c:474
 #8 remmina_rdp_close_connection at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_plugin.c:1101
 #9 remmina_protocol_widget_close_connection at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_protocol_widget.c:321
 #10 _g_closure_invoke_va at gclosure.c:864
 #13 gtk_button_do_release at gtkbutton.c:1899
 #14 gtk_real_button_released at gtkbutton.c:2017

Potential duplicate: bug 1250076
Comment 1 Artur Flinta 2015-12-07 05:17:25 EST
Created attachment 1103135 [details]
File: backtrace
Comment 2 Artur Flinta 2015-12-07 05:17:26 EST
Created attachment 1103136 [details]
File: cgroup
Comment 3 Artur Flinta 2015-12-07 05:17:28 EST
Created attachment 1103137 [details]
File: core_backtrace
Comment 4 Artur Flinta 2015-12-07 05:17:30 EST
Created attachment 1103138 [details]
File: dso_list
Comment 5 Artur Flinta 2015-12-07 05:17:31 EST
Created attachment 1103139 [details]
File: environ
Comment 6 Artur Flinta 2015-12-07 05:17:34 EST
Created attachment 1103140 [details]
File: exploitable
Comment 7 Artur Flinta 2015-12-07 05:17:36 EST
Created attachment 1103141 [details]
File: limits
Comment 8 Artur Flinta 2015-12-07 05:17:38 EST
Created attachment 1103142 [details]
File: maps
Comment 9 Artur Flinta 2015-12-07 05:17:39 EST
Created attachment 1103143 [details]
File: mountinfo
Comment 10 Artur Flinta 2015-12-07 05:17:41 EST
Created attachment 1103144 [details]
File: namespaces
Comment 11 Artur Flinta 2015-12-07 05:17:42 EST
Created attachment 1103145 [details]
File: open_fds
Comment 12 Artur Flinta 2015-12-07 05:17:44 EST
Created attachment 1103146 [details]
File: proc_pid_status
Comment 13 Artur Flinta 2015-12-07 05:17:46 EST
Created attachment 1103147 [details]
File: var_log_messages
Comment 14 FedeOmoto 2015-12-12 13:04:32 EST
Another user experienced a similar problem:

It happens when using remmina (RDP), after pressing the "Disconnect" button.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: ringbuffer_destroy
executable:     /usr/bin/remmina
global_pid:     11990
kernel:         4.2.6-301.fc23.x86_64
package:        remmina-1.2.0-0.8.git.b3237e8.fc23
reason:         remmina killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Pavel Alexeev 2016-01-05 16:15:05 EST
Thank you very much for the bugreport and willing free software better.

Unfortunately most of such problems known issues. But I can't update remmina in stable Fedora branches. Details you may read in description of that copr repo https://copr.fedoraproject.org/coprs/hubbitus/remmina-next/ . It also contains fresh versions of rfeerdp and remmina. I strongly recommend you try it. You may also try install packages from rawhide (may have unstable dependencies).

If packages in copr also does not solve you problem - please leave comments and reopen issue.

Note You need to log in before you can comment on or make changes to this bug.